Subject: [os2genau_digest] No. 1327
From: Digest <deadmail>
To: "OS/2GenAu Digest"<deadmail>
Date: Sat, 8 Jul 2006 00:00:46 EST-10EDT,10,-1,0,7200,3,-1,0,7200,3600

**************************************************
Friday 07 July 2006
 Number  1327
**************************************************

Subjects for today
 
1  Re:  Alternatives to JPEGIO : Gavin Miller <gmi12896 at bigpond dot net dot au>
2  Re:  Alternatives to JPEGIO : Peter Moylan <peter at ozebelg dot org>
3  Re:  Alternatives to JPEGIO : Gavin Miller <gmi12896 at bigpond dot net dot au>
4  Re:  Alternatives to JPEGIO : Ian Manners" <deadmail>
5  Re:  Alternatives to JPEGIO : Gavin Miller <gmi12896 at bigpond dot net dot au>

**= Email   1 ==========================**

Date:  Fri, 07 Jul 2006 08:49:28 +1000
From:  Gavin Miller <gmi12896 at bigpond dot net dot au>
Subject:  Re:  Alternatives to JPEGIO

Sorry Ian,  nice new installation of ecs 1.2r, maybe two weeks old, so 
is probably not an INI problem.  I'll list my system in case anyone 
might think I have a hardware issue.  Odd that it only affects jpeg 
files though.  FWIW I use lighttables alot.

AMD Athlon XP 2700+
768 Mb ram
80gig drive (35 windows, 4 ecs, rest ecs apps)
VIA chipset (KT400: VT8235) on Asus A7V8X-X
Onboard audio, lan disabled

Cheers
G

Ian Manners wrote:
> Hi Gavin
>
>   
>> I also have PMView.  Associations are not the problem.  The files system 
>> or what ever handles jpegs suddenly decides that a particular file or 
>> group of files will not be allowed to be moved copied or saved with or 
>> without PMview.
>>     
>
> ok, have you cleaned your ini files out ?
> I use :-
>
> checkini /C /Y:2
> cleanini.exe /DelAll /multipass /LogDel /c /Restart 
>
> I also occasionally delete the key "PM_Workplace:FolderPos" by using unimaint
> be aware that this key stores all your folder/icon positions etc but it can get
> very big on systems that get a fair bit of use, zapping this key will normally
> shrink the size of your os2.ini file very dramatically as well.
>
> I do this about every 12 months on my main OS/2 box as I do a lot
> of image/photo manipulation, sorting, merging etc, as well as it contains
> my primary mod/midi archive which has over 6,000 files, and is also
> used for writting DVD's so gets quite a workout with its 2x160Gb HD's
>
> As always, backup your ini files before doing (not that I can talk)
>
> Cheers
> Ian Manners
> http://www.os2site dot com/
>
> All of life's problems can be solved with the proper caliber.

>  

>
>   
----------------------------------------------------------------------------------

**= Email   2 ==========================**

Date:  Fri, 07 Jul 2006 10:18:42 +1000
From:  Peter Moylan <peter at ozebelg dot org>
Subject:  Re:  Alternatives to JPEGIO

Leigh Bunting wrote:
> Gavin Miller wrote:
> 
>> I also have PMView.  Associations are not the problem.  The files 
>> system or what ever handles jpegs suddenly decides that a 
>> particular file or group of files will not be allowed to be moved 
>> copied or saved with or without PMview.
> 
> Hi All,
> 
> I have to support Gavin in this. I have had the same issues plus some
>  that will only open from the icon with the built-in image viewer.

This is a memory from a few years back, so I could be wrong, but I seem
to recall that PMView comes with a utility that replaces the default
associations for image files and makes PMView the viewer for that. For
most kinds of files the program "Association Editor" is the easy way to
change default associations, but the multimedia subsystem somehow
manages to bypass the normal association mechanism and insert itself at
a lower level. Historically, this is because MMOS2 was being developed
at a time that new mechanisms were being developed for file
associations, but it was also at the time when Microsoft forced IBM to
agree not to add further enhancements to OS/2 (or something like that)
so MMOS2 was left in a partly finished stated and its design flaws were
never properly addressed. (The things that have improved since then have
been categorised as "bug fixes" rather than "design improvements", even
in the cases where even Blind Freddy can see that they are in fact new
features or improvements.)

However, the inability of some files to be moved, copied, or saved
sounds to me more like a file system issue than a multimedia issue. The
first thing I'd try would be to check the file attributes. If you
right-click on the icon you might find a "lock in place" attribute set,
and if so the solution is simply to turn that off. Of course it's also
worth checking the more obvious attributes like read-only, system, and
hidden.

-- 
Peter Moylan                          peter at ozebelg dot org
                                       peter.moylan at optusnet dot com dot au
                                       http://www.pmoylan dot org
Please note the changed e-mail and web addresses.  The domain
eepjm.newcastle.edu.au no longer exists, and I can no longer
reliably receive mail at my newcastle.edu.au addresses.
The optusnet address still has about 2 months of life left.
----------------------------------------------------------------------------------

**= Email   3 ==========================**

Date:  Fri, 07 Jul 2006 12:44:13 +1000
From:  Gavin Miller <gmi12896 at bigpond dot net dot au>
Subject:  Re:  Alternatives to JPEGIO

Hi Peter,

Interesting history on MMOS2, and thanks for the suggestion on file 
attributes.  Unfortunately the problem arises randomly; even on files 
that I have modified, moved or copied previously.  The latest instance 
was trying to save a photoshop file from a usb device into a jpeg on my 
desktop.  I ended up saving it as a tiff file because I kept getting the 
message 'not enough memory' trying to save as jpeg.  A "Save As" 
function shouldn't be affected by the original files attributes; and as 
I say; it's only jpeg files that are affected.  Oh and Drag and Drop... 
forget about it.

Cheers
G

Peter Moylan wrote:
> Leigh Bunting wrote:
>> Gavin Miller wrote:
>>
>>> I also have PMView.  Associations are not the problem.  The files 
>>> system or what ever handles jpegs suddenly decides that a particular 
>>> file or group of files will not be allowed to be moved copied or 
>>> saved with or without PMview.
>>
>> Hi All,
>>
>> I have to support Gavin in this. I have had the same issues plus some
>>  that will only open from the icon with the built-in image viewer.
>
> This is a memory from a few years back, so I could be wrong, but I seem
> to recall that PMView comes with a utility that replaces the default
> associations for image files and makes PMView the viewer for that. For
> most kinds of files the program "Association Editor" is the easy way to
> change default associations, but the multimedia subsystem somehow
> manages to bypass the normal association mechanism and insert itself at
> a lower level. Historically, this is because MMOS2 was being developed
> at a time that new mechanisms were being developed for file
> associations, but it was also at the time when Microsoft forced IBM to
> agree not to add further enhancements to OS/2 (or something like that)
> so MMOS2 was left in a partly finished stated and its design flaws were
> never properly addressed. (The things that have improved since then have
> been categorised as "bug fixes" rather than "design improvements", even
> in the cases where even Blind Freddy can see that they are in fact new
> features or improvements.)
>
> However, the inability of some files to be moved, copied, or saved
> sounds to me more like a file system issue than a multimedia issue. The
> first thing I'd try would be to check the file attributes. If you
> right-click on the icon you might find a "lock in place" attribute set,
> and if so the solution is simply to turn that off. Of course it's also
> worth checking the more obvious attributes like read-only, system, and
> hidden.
>
----------------------------------------------------------------------------------

**= Email   4 ==========================**

Date:  Fri, 07 Jul 2006 14:00:28 +1000 (EST)
From:  "Ian Manners" <deadmail>
Subject:  Re:  Alternatives to JPEGIO

Hi Gavin

>Sorry Ian,  nice new installation of ecs 1.2r, maybe two weeks old, so 
>is probably not an INI problem.  I'll list my system in case anyone 
>might think I have a hardware issue.  Odd that it only affects jpeg 
>files though.  FWIW I use lighttables alot.

LightTables are bad news, I'd clean out your ini files anyway as
they are a lot more resource intensive than normal icons, and if
there is an assoc corruption it will likely find it. As much
as LightTables are good to use for the larger previews, I stopped
using them and simply open PMView, then Open file to see a
folder of preview pics. They were also problem plagued a long
time ago, and with the additions to eCS I could only assume that
they would be worse with large directories of pic's.

ie, still sounds like corrupt associations to me.

Cheers
Ian Manners
http://www.os2site dot com/

Computers are like Old Testament gods; lots of rules and no mercy.     -- Joseph Campbell
----------------------------------------------------------------------------------

**= Email   5 ==========================**

Date:  Fri, 07 Jul 2006 18:14:06 +1000
From:  Gavin Miller <gmi12896 at bigpond dot net dot au>
Subject:  Re:  Alternatives to JPEGIO

Hi Ian,

I've run checkini and cleanini with the same parameters as you mentioned 
and have moved all my images into folders instead of lighttables.  Let's 
see what happens.

Cheers
G

Ian Manners wrote:
> Hi Gavin
>
>   
>> Sorry Ian,  nice new installation of ecs 1.2r, maybe two weeks old, so 
>> is probably not an INI problem.  I'll list my system in case anyone 
>> might think I have a hardware issue.  Odd that it only affects jpeg 
>> files though.  FWIW I use lighttables alot.
>>     
>
> LightTables are bad news, I'd clean out your ini files anyway as
> they are a lot more resource intensive than normal icons, and if
> there is an assoc corruption it will likely find it. As much
> as LightTables are good to use for the larger previews, I stopped
> using them and simply open PMView, then Open file to see a
> folder of preview pics. They were also problem plagued a long
> time ago, and with the additions to eCS I could only assume that
> they would be worse with large directories of pic's.
>
> ie, still sounds like corrupt associations to me.
>
> Cheers
> Ian Manners
> http://www.os2site dot com/
>
> Computers are like Old Testament gods; lots of rules and no mercy.     -- Joseph Campbell

>  

>
>   
----------------------------------------------------------------------------------